let logfile = "/var/log/vpidentd.log" ;;
let log_msgs = true ;;

let out str = 
  let oc = open_out_gen (Open_append :: [Open_text]) 600 logfile 
  and time = Unix.localtime (Unix.time ()) in
  let output = (string_of_int (time.Unix.tm_mon + 1)) ^ "-" ^
	       (string_of_int time.Unix.tm_mday) ^ " " ^
	       (string_of_int time.Unix.tm_hour) ^ ":" ^
	       (string_of_int time.Unix.tm_min) ^ ":" ^
	       (string_of_int time.Unix.tm_sec) ^ " vpidentd: " ^
	       str ^ "\n" in
    output_string oc output ; flush oc ; close_out oc
;;

let error str =
  out str
;;

let msg str =
  if log_msgs then out str else ()
;;

let reply host sp dp reply = 
  msg ( "(" ^ host ^ ") " ^ (string_of_int sp) ^ "," ^ (string_of_int dp) ^ " -> " ^ reply)
;;
